×

Discussion Board

Page 1 of 2 12 LastLast
Results 1 to 15 of 19
  1. #1
    Registered User
    Join Date
    Sep 2006
    Posts
    8

    Can't install S60 3rd SDK

    I downloaded the SDK today, i run the setup and it suddenly exits when copying files, what could the problem be?
    i run windows xp, service pack 2

  2. #2
    Super Contributor
    Join Date
    Nov 2003
    Location
    Bangalore , India
    Posts
    4,429

    Re: Can't install S60 3rd SDK

    Hi koichirose! Welcome to Nokia Discusion Boards!!

    Which SDK you are trying with, is it S60 3rd Ed SDK for Java or for Symbian C++?

    Regards
    Gopal

  3. #3
    Registered User
    Join Date
    Sep 2006
    Posts
    8

    Re: Can't install S60 3rd SDK

    i tried to install the symbian c++ sdk..
    Thank you!

  4. #4
    Registered User
    Join Date
    Sep 2006
    Posts
    1

    Re: Can't install S60 3rd SDK

    I'm having the same problem I'm afraid.

    Not a lot of scope for troubleshooting as there is no error message given and nothing in the event viewer.

    I'm using XP Pro 32bit with SP2 as well, and I'm logged in as admin.

    (Got an AMD 3200+ 64bit processor if thats important.)

    thanks

    Colin

  5. #5
    Super Contributor
    Join Date
    Aug 2005
    Location
    india
    Posts
    2,078

    Re: Can't install S60 3rd SDK

    hi koichirose and ColinRobertson24,

    Plz download it again with the Nokia Browser and give a try..

    As the 3rd edition is a huge zip content ..might be some problem with the download..

    If the problem still persists then report the problem to the discussion board /feedback section and also give a feedback to the Forum abt it...

    And Welcome to Nokia Discusion Boards!!

    Regards,
    Mateen Maldar
    "Whatever the mind can conceive and believe, the mind can achieve"

  6. #6
    Registered User
    Join Date
    Sep 2006
    Posts
    8

    Re: Can't install S60 3rd SDK

    i re-downloaded it (4th time) but always the same problem: it starts copying files then it quits, as it has been killed, no error messages, nothing

  7. #7
    Super Contributor
    Join Date
    Nov 2003
    Location
    Bangalore , India
    Posts
    4,429

    Re: Can't install S60 3rd SDK

    Please mention the size of your downloaded file (in exact bytes). Just to check whether you have downloaded the SDK completly.

    Also please check whether you satisfy the system requirements to install S60 3RD EDITION SDK FOR SYMBIAN OS, FOR C++

    System Requirements:
    ====================
    Basic Requirements:
    - Microsoft Windows XP SP2 or Microsoft Windows 2000 SP4
    tested with Windows XP SP2
    - IDE: CodeWarrior for Symbian OS v3.1
    - ARM RVCT compiler 2.2 build 503 or newer is supported.
    - Minimum 1 GHz Pentium PC, 256 MB of memory
    - 450 MB free disk space, other requirements as required by the IDE
    used

    Additional Requirements:
    - Installation/uninstallation and using of the SDK requires local admin rights.
    - Active Perl 5.6.1 build 631 for SDK build tools. Newer or older
    versions of Perl may not be fully compatible with Symbian toolchain.
    Perl must be installed before using the SDK to build applications.
    - Java Runtime version 1.4.1_02 or later is required.

    REF: RELEASE NOTE FOR S60 3RD EDITION SDK FOR SYMBIAN OS, FOR C++ :18.01.2006

    Regards
    Gopal

  8. #8
    Registered User
    Join Date
    Sep 2006
    Posts
    8

    Re: Can't install S60 3rd SDK

    here's the size of the zip: 274.740.025 byte
    size on disk: 274.743.296 byte

    other requirements:
    i have xp sp2.
    i have codewarrior 3.1 installed (personal edition).
    i dont know what arm rvct is.
    athlon 64 3500+, 1 gb ram
    15 gb free hd space

    i'm the unique user, so i have admin rights
    active perl 5.6.1 installed
    i have j2se 5.0


  9. #9
    Registered User
    Join Date
    Sep 2006
    Posts
    8

    Re: Can't install S60 3rd SDK

    Update: i'm trying windows vista RC1, via vmware, i'm installing that sdk without a problem, and without installing anything (no jre, no active perl, no codewarrior).
    What could the problem be in my windows xp sp2 "host" pc???

  10. #10
    Super Contributor
    Join Date
    Dec 2005
    Location
    Europe/Poland/Warsaw
    Posts
    1,697

    Re: Can't install S60 3rd SDK

    hi koichirose,
    I guess Vista has event logger (Event Viewer), so try to see if it contain any information which could be related to install failure,
    regards,
    peter

  11. #11
    Registered User
    Join Date
    Sep 2006
    Posts
    8

    Re: Can't install S60 3rd SDK

    no, in vista it worked.
    in xp sp2 i used the s60_3rd.xml trick

  12. #12
    Super Contributor
    Join Date
    Aug 2005
    Location
    india
    Posts
    2,078

    Re: Can't install S60 3rd SDK

    hi ,

    Quote Originally Posted by koichirose
    here's the size of the zip: 274.740.025 byte
    size on disk: 274.743.296 byte

    other requirements:
    i have xp sp2.
    i have codewarrior 3.1 installed (personal edition).
    i dont know what arm rvct is.
    athlon 64 3500+, 1 gb ram
    15 gb free hd space

    i'm the unique user, so i have admin rights
    active perl 5.6.1 installed
    i have j2se 5.0

    The info u have provided is right and i installed 3rd edition again for u for checking with the sdk that i had. downloaded from the site and it is working without any problems..

    I think some requirements are missing well...

    can u try installing active perl and java tool kit required for the 3rd editon and then try installing it again ...

    plz so through the requirements as given by gopal for the installation..

    and also read the instalation guide given with the sdk..

    S60 3rd Edition SDK for Symbian OS
    S60 platform
    Installation Guide

    i mean this pdf S60_3_0_CPP_SDK_CW_InstallationGuide_1.0.pdf

    Regards,
    Mateen Maldar
    "Whatever the mind can conceive and believe, the mind can achieve"

  13. #13
    Registered User
    Join Date
    Feb 2004
    Posts
    1,980

    Re: Can't install S60 3rd SDK

    I think the problem is the JRE or Perl's version.Your JRE's version is 5.0.But you'd better use 1.4.1_02,even if the release note tell you can use later.And Please be sure that the Perl's build number is 631.

    Archive Java[tm] Technology Products Download
    http://java.sun.com/products/archive/

    Index of /ActivePerl/Windows
    http://downloads.activestate.com/ActivePerl/Windows/

  14. #14
    Registered User
    Join Date
    Feb 2006
    Posts
    7

    Re: Can't install S60 3rd SDK

    I don't know if this is related but Winzip won't open Data1.cab or Data2.cab (not in standard microsoft format, signature bytes missing) so maybe these two files are not working on some Windows platforms and hence the installer quits?

  15. #15
    Registered User
    Join Date
    Mar 2004
    Posts
    27

    Re: Can't install S60 3rd SDK

    I am having the same problem. I have made sure the Perl and JRE versions are the right ones. The setup bails out after copying the C:\Symbian\9.1\S60_3rd\Epoc32\Data\releasenotes.txt file.

    Any idea, anybody?

Similar Threads

  1. Replies: 35
    Last Post: 2009-04-11, 14:36
  2. S60 3rd Edition sdk emulator cannot be started up
    By ShirleyKing in forum Symbian Tools & SDKs
    Replies: 7
    Last Post: 2009-03-11, 22:30
  3. S60 3rd Edition SDK for MIDP Serial Number is Invalid
    By cdouglas98 in forum Mobile Java Tools & SDKs
    Replies: 1
    Last Post: 2006-07-22, 16:29
  4. OpenGL ES Support in S60 3rd Edition Beta SDK
    By choefele in forum Symbian Media (Closed)
    Replies: 2
    Last Post: 2005-12-14, 06:01
  5. How to install a signed MIDlet into S60 SDK?
    By nn_tt in forum Mobile Java General
    Replies: 0
    Last Post: 2004-03-18, 07:18

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×